#ifndef __TIMER_H__
#define __TIMER_H__

class Timer {
private:
  double startTime;

public:
  Timer();

  void resetTime();
  double elapsedTime() const;

  static double getCurrentTime();

  /* under linux to terminate the program through system signals */
  void setAlarm(int seconds, void (*signalHandler)(int));
};
#endif
